%define version 0.72.1
%define release 1mdk
%define url http://jasonday.home.att.net/code/syncmal

Name:		jpilot-syncmal
Summary:	SyncMAL plugin for J-PILOT
Version:	%{version}
Release:	%{release}
Epoch:		1
Source:		%{url}/%{name}-%{version}.tar.bz2
Source1:	malsync.tar.bz2
Group:		Communications
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL
BuildRequires:	gtk+-devel jpilot_plugin-devel >= 0.99.6 pilot-link-devel >= 0.11.8
Url:		%{url}/syncmal.html

%description
SyncMAL is an interface to the command line tool malsync, a program that
synchronizes a PDA with a MAL server such as AvantGo.

See AvantGo's homepage <http://avantgo.com/> for more information on AvantGo
and MAL.

%prep

%setup -q -n %{name}-%{version} -a 1

%build
%configure --with-mal-source=./mal

%make 

%install
%makeinstall_std
libtool --finish %{buildroot}%{_libdir}/jpilot/plugins/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog MPL-1_0.txt TODO
%_libdir/jpilot/plugins/*

%changelog
* Thu Dec 18 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.72.1-1mdk
- 0.72.1

* Thu Sep 04 2003 Franois Pons <fpons@mandrakesoft.com> 0.71.2-3mdk
- fixed requires on jpilot_plugin-devel.

* Mon Jul 28 2003 Franois Pons <fpons@mandrakesoft.com> 0.71.2-2mdk
- rebuild with jpilot-0.9.6 and pilot-link-0.11.8.

* Tue Jul 08 2003 Franois Pons <fpons@mandrakesoft.com> 0.71.2-1mdk
- 0.71.2.

* Wed Oct 16 2002 Franois Pons <fpons@mandrakesoft.com> 0.71-5mdk
- rebuild with newer pilot-link-0.11.5.

* Fri Aug 09 2002 Franois Pons <fpons@mandrakesoft.com> 0.71-4mdk
- rebuild with newer pilot-link-0.11.3.

* Wed Jul 17 2002 Franois Pons <fpons@mandrakesoft.com> 0.71-3mdk
- rebuild with newer pilot-link-0.11.0.

* Thu Jun 13 2002 Franois Pons <fpons@mandrakesoft.com> 0.71-2mdk
- rebuild with newer pilot-link.

* Tue May 28 2002 Franois Pons <fpons@mandrakesoft.com> 0.71-1mdk
- 0.71.

* Fri Dec  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.62-4mdk
- fix rpmlint, cleanup.

* Sun Oct 21 2001 Stefan van der Eijk <stefan@eijk.nu> 0.62-3mdk
- BuildRequires: gtk+-devel pilot-link-devel
- Removed BuildRequires: jpilot, not needed to build
- renamed .spec file (make rpmlint happy)

* Mon May 14 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 0.62-2mdk
- fix changelog

* Mon May 14 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 0.62-1mdk
- update to 0.62
- fix libs directory in file list

* Sun Apr 08 2001 Stefan van der Eijk <stefan@eijk.nu> 0.61-1mdk
- updated to 0.61 (compatible with jpilot 0.99)
- improved .spec file

* Sat Jan 20 2001 David BAUDENS <baudens@mandrakesoft.com> 0.52-4mdk
- BuildRequires: jpilot, jpilot-plugin-devel
- Fix %%files
- Add documentation
- Rewrite Summary and Deskcription
- Spec clean up

* Fri Nov 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.52-3mdk
- Rebuilt for gcc 2.96.

* Sun Sep 24 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.52-2mdk
- remove BuildArch
- some macro's
- Packager remains Christopher Molnar <molnarc@mandrakesoft.com>
- Rebuilt on build cluster

* Thu Aug 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.52-1mdk
- New RPM for Mandrake.
